gdm3 (46.2-1ubuntu1~24.04.9) noble; urgency=medium

  * Revert "Prefer Wayland on HP AMD+NVIDIA platform LP#2147595"

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 07 May 2026 13:16:37 +0200

gdm3 (46.2-1ubuntu1~24.04.8) noble; urgency=medium

  [ Dirk Su ]
  * Prefer Wayland on HP AMD+NVIDIA platform LP#2147595

  [ Yo-Jung Leo Lin (AMD) ]
  * Avoid 10-second timeout on platforms where GPU is not advertised as VGA class
    (LP: #2146768)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 20 Apr 2026 10:01:44 +0200

gdm3 (46.2-1ubuntu1~24.04.7) noble; urgency=medium

  [ Cyrus Lien ]
  * Fix incorrect setting preferred display server (LP: #2143015)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Mar 2026 11:53:23 +0100

gdm3 (46.2-1ubuntu1~24.04.6) noble; urgency=medium

  * Backport remote session persistence (LP: #2072130)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 16 Dec 2025 18:32:43 +0100

gdm3 (46.2-1ubuntu1~24.04.5) noble; urgency=medium

  [ Chih Wen Hsiao ]
  * Add Preferring Wayland to Dell Gorgon Point Platform (LP: #2131283)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 17 Nov 2025 11:36:22 +0100

gdm3 (46.2-1ubuntu1~24.04.4) noble; urgency=medium

  * Fix fallback session with auto-login (LP: #2129777)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 04 Nov 2025 11:29:29 +0100

gdm3 (46.2-1ubuntu1~24.04.3) noble; urgency=medium

  [ Tony Hsiao ]
  * Add hardware matching rule for preferring wayland (LP: #2124220)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 25 Sep 2025 17:14:09 +0800

gdm3 (46.2-1ubuntu1~24.04.2) noble; urgency=medium

  [ Zhaoxuan Zhai ]
  * Add retry_preferred_display_server_before_fallback.patch to fix
    the problem that the existing retry strategy cannot retry the preferred
    session when the preferred session accidentally crashes during startup
    (LP: #2120413)

  [ Daniel van Vugt ]
  * Add local-display-factory-Match-simpledrm-in-a-substring-inst.patch to
    ensure the login screen does not start before the real DRM kernel driver
    is loaded. (LP: #2115451)

  [ Tony Hsiao ]
  * Prefer Wayland if a specific environment variable is set (LP: #2124220)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 18 Sep 2025 17:10:23 +0800

gdm3 (46.2-1ubuntu1~24.04.1) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * No-change backport of stable release 46.2 (LP: #2090876)

  [ Jeremy Bícha ]
  * Branch for noble

  [ Alessandro Astone ]
  * Default nvidia hybrid laptops to Xorg (LP: #2080498):
    - Drop Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch
      The hunks that are still relevant have been split into their own patches.
    - Add Prefer-Xorg-for-all-Nvidia-versions.patch
      This diff comes directly from the dropped patch.
    - Add Drop-Nvidia-power-management-suspend-checks.patch
      This diff comes directly from the dropped patch, and is still necessary
      to keep Wayland as an option on nvidia >= 470 (both desktops and laptops).
    - Add Drop-special-handling-of-nvidia-hybrid-laptops.patch
      Align nvidia hybrid laptops with nvidia desktops: that means
      disabling Wayland on nvidia < 470 and keeping it opt-in on nvidia >= 470.
      Upstream also did this with GNOME 47, with the difference that there the
      desktop defaults are different.

  [ Nathan Pratta Teodosio ]
  * Rewrite xresources_is_a_dir.patch.
    To fix failure to load files in /etc/X11/Xresources (in case the latter is
    a directory instead of a regular file). (LP: #1955850)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 02 Dec 2024 23:47:57 +0100

gdm3 (46.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian, containing new upstream release. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Ensure Nvidia 5xx drivers always get Wayland as the default unless
        there's a stronger reason why it won't work (like modeset has been
        disabled on the kernel command line)
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    * Reverted debian patch to udev rules for nvidia S0ix suspend support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Jul 2024 08:15:29 -0400

gdm3 (46.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Drop 2 patches applied in new release

  [ Sebastian Andrzej Siewior ]
  * Adapt autopkgtest for openssl3.2 (Closes: #1061458)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Jul 2024 07:45:23 -0400

gdm3 (46.0-2ubuntu2) oracular; urgency=medium

  * Remove the Ubuntu-specific rules that made Xorg the default for Nvidia.
    Updated Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch
    to ensure Nvidia 5xx drivers always get Wayland as the default unless
    there's a stronger reason why it won't work (like modeset has been
    disabled on the kernel command line).
    Also refresh the patch description with a more recent justification.
    (LP: #2080498)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 18 Jun 2024 08:53:31 +0200

gdm3 (46.0-2ubuntu1) noble; urgency=medium

  * Merge with Debian, containing new upstream release. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    * Reverted debian patch to udev rules for nvidia S0ix suspend support

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Apr 2024 07:34:16 +0200

gdm3 (46.0-2) unstable; urgency=medium

  * debian/rules: Set the distro as debian
  * debian/patches/gdm-auth-config-debian: Install hook for gdm-config.
    This is distro-specific configuration that gdm allows distro to
    configure so add the debian version for it and install it /usr/libexec
  * debian/patches: Refresh indexes
  * debian/patches: Cherry-pick upstream fixes:
     - manager: Move g-i-s chown to when PAM authentication completed
     - udev rules: Add check for nvidia S0ix suspend

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Apr 2024 06:08:42 +0200

gdm3 (46.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 08:03:50 -0400

gdm3 (46~rc-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * Drop cherry-picked JSON binary protocol patches: applied in new release
  * Add patch to revert dropping Nvidia Wayland logic

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 13:57:17 -0400

gdm3 (46~rc-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libjson-glib-dev
  * debian/libgdm1.symbols: Add new symbols
  * debian/gdm3.install: Install /usr/bin/gdm-config

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 13:41:09 -0400

gdm3 (45.0.1-3) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/control: Stop generating from d/control.in
  * d/control: Remove unnecessary B-D on systemd, udev.
    This package already build-depends on systemd-dev. (Closes: #1060507)
  * d/gdm3.lintian-overrides: Update to accomodate merged /usr
  * d/gdm3.lintian-overrides: Add an override for #1031037
  * d/source/lintian-overrides: Silence warnings for local dh-exec
    substitutions

  [ Dandan Zhang ]
  * Add loong64 to the list of architectures where gjs is available
    (Closes: #1058673)

  [ Michael Biebl ]
  * Install PAM module into /usr (Closes: #1061244)

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jan 2024 14:56:12 +0100

gdm3 (45.0.1-2) unstable; urgency=medium

  * debian/gdm3.gdm-smartcard-pkcs11-exclusive.pam: Make Smart Card module
    really exclusive
    pam_pkcs11 may stil return PAM_IGNORE in case of smart-card errors if no
    card_only is parameter is provided, potentially leading to an unexpected
    login.
    This should not be an issue anymore in recent versions of this service
    files since we always fallback to password auth, but it's still a bug
    since we should not really fallback to password if this service file is
    selected. (LP: #2017870)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 23 Dec 2023 03:29:50 +0100

gdm3 (45.0.1-1ubuntu2) noble; urgency=medium

  * debian/gdm3.gdm-smartcard-pkcs11-exclusive.pam: Make Smart Card module
    really exclusive:
    pam_pkcs11 may stil return PAM_IGNORE in case of smart-card errors if no
    card_only is parameter is provided, potentially leading to an unexpected
    login.
    This should not be a security issue anymore in recent versions of this
    service files since we always fallback to password auth, but it's still a
    bug since we should not really fallback to password if this service file is
    selected. (LP: #2017870)
  * debian/patches: Cherry-pick fix to install GDM's custom JSON proto header

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Jan 2024 17:12:51 +0100

gdm3 (45.0.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian, containing new upstream version.
  * debian/patches: Refresh
  * debian/patches: Cherry pick patches to support JSON binary protocol
  * debian/control: Build-depend on libjson-glib-dev for JSON protocol
  * debian/libgdm1.symbols: Update symbols for JSON PAM protocol support
  * Remaining changes with debian:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 01 Dec 2023 06:00:55 +0100

gdm3 (45.0.1-1) unstable; urgency=high

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/gdm3.gdm-smartcard-*: Always fallback to password auth if no SC
    pam module is installed.
    Both libpam_sss.so and libpam_pkcs11.so might be not be installed in a
    system, in such case we should not make gdm to enforce the smartcart
    authentication because that would just lock the user out if there are
    other login allowed methods.
    As per this, make these modules partially optional even in the exclusive
    mode, given that we have not a strong dependency on such modules and so
    inserting a smartcard is not enough to block a system, unless that's
    configured.
    Ideally we should not even try to proceed if the system is not fully
    configured for smartcards, but that's something that can't be easily
    controlled from modules settings, so let's just do the quickest thing.
    (Mitigates: #1051659, #1051785)
  * d/tests/sssd-softhism2-certificates-tests.sh: Cherry-pick upstream fixes

  [ Simon McVittie ]
  * New upstream release
    - Fix an intermittent crash when unlocking the screen
    - Translation updates: en_GB, ko, sv
  * d/gdm3.links: Create a dconf profile named for the Debian-gdm user.
    In upstream and Ubuntu gdm, the system username used for the greeter
    is "gdm", but in Debian, for historical reasons it is "Debian-gdm".
    Before version 45, the dconf profile name "gdm" was hard-coded,
    but since version 45 it uses a profile name that matches the system
    username (to allow gnome-initial-setup to have its own profile).
    This resulted in the gdm greeter trying to use the ordinary
    gnome.session instead of gnome-login.session, which caused login to
    fail when the gnome-session package was not installed, and caused
    settings in /etc/gdm3/greeter.dconf-defaults to be ineffective. Other
    differences between gnome.session and gnome-login.session, potentially
    including security hardening for the greeter, would also not have
    been effective.
    (Closes: #1052374, #1051671, #1051993)
  * Set high urgency for the dconf profile fix

  [ Helmut Grohne ]
  * Avoid FTBFS when systemdsystemunitdir changes in systemd.pc
    (Closes: #1052381)

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Sep 2023 13:12:44 +0100

gdm3 (45~beta-1ubuntu1) mantic; urgency=medium

   * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * Drop clear signal handlers patch: applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Sep 2023 09:57:44 -0400

gdm3 (45~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Sep 2023 09:28:08 -0400

gdm3 (44.1-2) unstable; urgency=medium

  * Clean up some old package relationships
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 16:10:57 -0400

gdm3 (44.1-1ubuntu2) mantic; urgency=medium

  * debian/patches/ubuntu/gitlab_clearing_signal.patch:
    - clear signal handlers after udev settle to avoid unexpected session
      logouts, thanks Ghadi Rahme (lp: #2020641)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Jun 2023 12:37:25 +0200

gdm3 (44.1-1ubuntu1) mantic; urgency=medium

   * Merge with Debian (LP: #2015406). Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * Drop cherry-picked crash patch applied in new release

 -- Jarred Wilson <jarred.wilson@canonical.com>  Mon, 15 May 2023 15:23:16 -0400

gdm3 (44.1-1) experimental; urgency=medium

  * New upstream release

 -- Jarred Wilson <jarred.wilson@canonical.com>  Mon, 15 May 2023 12:39:35 -0400

gdm3 (44.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian (LP: #2015406). Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * Cherry-pick a fix for crashing after standby

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Apr 2023 17:24:43 -0400

gdm3 (44.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57

  [ Simon McVittie ]
  * d/tests: Don't reset root password
  * d/tests: Explicitly use blank input when checking for blank password

  [ Marco Trevisan (Treviño) ]
  * debian/tests/control: Add explicit dependency on libpam-sss
  * debian/gdm3.install: Do not list config files, just install all gdm3 ones
  * debian/tests/sssd-gdm-smartcard-pam-auth-tester.sh: Some minor cleanups

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 15:32:48 -0400

gdm3 (43.0-3ubuntu2) lunar; urgency=medium

  * debian/patches/ubuntu/config_error_dialog.patch:
    - Use --no-markup option in zenity call (LP: #1887252)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 15 Feb 2023 18:41:29 +0100

gdm3 (43.0-3ubuntu1) lunar; urgency=medium

  [ Simon McVittie ]
  * d/tests: Don't reset root password.
    Even if the root password is blank, we want to assert that
    authentication still doesn't succeed, because we explicitly don't allow
    smart card authentication as root.
  * d/tests: Explicitly use blank input when checking for blank password.
    Otherwise we could block indefinitely when running tests that have an
    interactive console available.

  [ Marco Trevisan (Treviño) ]
  * debian/tests/control: Add explicit dependency on libpam-sss.
    Even though it could be an implicit one it's still what we're testing
  * debian/tests/sssd-gdm-smartcard-pam-auth-tester.sh: Some minor cleanups
  * debian/tests/control,
    debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh Manually use sudo
    as ubuntu autopkgtest does not support needs-sudo yet
  * debian/gdm3.install: Do not list config files, just install all gdm3 ones
    That's used as is in ubuntu (where we install more data and we use the
    upstream `custom.conf` name for config file), so we don't have to diverge.
  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 31 Jan 2023 18:16:20 +0100

gdm3 (43.0-3) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/tests/control: Use multi-line Test-Command for easier
    maintenance
  * debian/tests/sssd-gdm-smartcard-pam-auth-tester.sh:
    Assert that entering the wrong PIN leads to authentication failure

  [ Patrice Duroux ]
  * d/rules: Generate one man page at a time.
    Otherwise, the content of one arbitrary .pod file gets duplicated into
    each of the man pages. (Closes: #1029839)

  [ Simon McVittie ]
  * d/tests: Avoid autopkgtest failure if test user has blank password.
    If the test user has a blank password (which might be the case in an
    expendable test VM) and PAM accepts blank passwords, then
    gdm-smartcard-sssd-or-password will always authenticate successfully.
    If that's the case, temporarily change the user's password to be
    non-empty while running our tests. Also do the same for root.
  * Move dbus-daemon security policy from /etc to /usr/share
  * d/control.in: Drop unnecessary dependency on lsb-base
  * d/control.in: Remove Multi-Arch: same from gir1.2-gdm-1.0.
    It is not usefully multi-arch co-installable because it depends on
    libgdm1, which contains /usr/bin/gdmflexiserver.
  * d/po/sv.po: Transcode from ISO-8859-1 to UTF-8
  * Update syntax of Lintian overrides
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2023 17:32:20 +0000

gdm3 (43.0-2) unstable; urgency=medium

  * debian/gdm3-gdm-smartcard*: Do not fail if pam_succeed_if suceeded.
    We were not handling the success case in pam_succeed_if.so, and so even
    if other modules were successful, gdm-smartcard was failing with a
    permission denied error, because the pam_succeed_if default was bad, and
    this was applied to the success case too.
    Alternatively we could even just use success=ignore here, but it's
    better to be consistent with other usages. (LP: #1999884)
  * debian/gdm3.gdm-smartcard-sssd-or-password.pam: Always load gnome keyring
    and nologin.
    Ensure that we load the nologin and gnome-key-ring modules also if sss
    module succeeded.
  * debian/tests: Add autopkg tests testing gdm smartcard authentication.
    Create fake certificates from fake CA's and verify they can be used with
    from a virtual smartcard.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 28 Jan 2023 09:57:53 +0100

gdm3 (43.0-1ubuntu3) lunar; urgency=medium

  * d/p/u/start-after-cloudinit.patch:
    - use cloud-config.service instead of cloud-init.target to avoid moving
      gdm.service after multi-user.target and blocking plymouth-quit-wait

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Dec 2022 08:51:53 +0100

gdm3 (43.0-1ubuntu2) lunar; urgency=medium

  * d/p/u/start-after-cloudinit.patch
    - Use After=cloud-init.target in the systemd unit to fix an issue on
      the canary image where the locale configuration on the installed
      system is generated by cloud-init. Without it gdm could start before
      the environment is set leading to the wrong language being selected
      on first login.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Dec 2022 12:08:31 +0100

gdm3 (43.0-1ubuntu1) kinetic; urgency=medium

  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Don't disable Wayland on hybrid graphics laptops
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * debian/patches: Drop applied and refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 27 Sep 2022 07:23:05 +0200

gdm3 (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Build gdm3 on armel since gjs & mozjs102
    are built there now
  * Release to unstable

  [ Simon McVittie ]
  * d/control.in: Depend on polkitd instead of policykit-1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Sep 2022 23:48:19 -0400

gdm3 (42.0-2) experimental; urgency=medium

  * Team upload
  * Only build gdm3 on architectures with working mozjs102 and gjs.
    gjs is likely to be removed from armel as part of the move to mozjs102
    (see #1018076), and is unbuildable or fails tests on most non-release
    architectures. gdm3 requires gnome-shell at runtime, which requires gjs.
    To avoid having an uninstallable gdm3 package, only build it on
    architectures where gjs is known to be available.
  * NEWS: Use correct version number and suite (Closes: #1008663)
  * Standards-Version: 4.6.1 (no changes required)
  * Upload to experimental: unstable upload will be done as part of #1018076

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Aug 2022 11:36:12 +0100

gdm3 (42.0-1ubuntu7) jammy; urgency=medium

  [ Alberto Milone ]
  * Default to Wayland for hybrid systems with Nvidia graphics drivers.
    Default to Xorg but offer Wayland with the gear button on the login
    screen for non-hybrid systems with Nvidia graphics drivers. (LP: #1968929)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 06:32:09 -0400

gdm3 (42.0-1ubuntu6) jammy; urgency=medium

  * Fix Wayland no longer being available for everyone
    - Fix by adding a separate revert patch instead of trying to
      rebase the cherry-picked patches (LP: #1969243)
  * Please note that Wayland is not currently available for
    systems using the Nvidia graphics drivers because those drivers
    don't properly handle suspend and resuming from suspend. It is
    intended for those drivers to be fixed in a future stable release
    update for Ubuntu 22.04 LTS. See bug 1968929

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Apr 2022 21:02:08 -0400

gdm3 (42.0-1ubuntu4) jammy; urgency=medium

  * Drop patch disabling Wayland on hybrid laptops using Nvidia's drivers.
    It's not needed for Ubuntu 22.04 LTS (LP: #1968809)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Apr 2022 14:29:35 -0400

gdm3 (42.0-1ubuntu3) jammy; urgency=medium

  * Cherry-pick commits up to March 30
    - Disable Wayland for:
      + Vendor nvidia driver with hybrid graphics
      + VM guest with vGPU and host pass through gpu
      + Various server chips that don't have great blending performance
    - Stop listening to udev events after timeout

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 12 Apr 2022 16:09:54 -0400

gdm3 (42.0-1ubuntu2) jammy; urgency=medium

  * debian/control.in: Depend on ubuntu-session ahead of gnome-session
    (LP: #1966127)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Apr 2022 14:14:18 -0400

gdm3 (42.0-1ubuntu1) jammy; urgency=medium

  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 16:59:12 -0400

gdm3 (42.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    - Fix hang caused by GDM starting sooner than nvidia_drm
      (Closes: #1004131, LP: #1958488)
    - Default to Wayland for nvidia 510 drivers (LP: #1962523)
  * debian/control.in: Build-Depend on libgudev-1.0-dev

  [ Simon McVittie ]
  * Add a NEWS.Debian entry for the removal of "System X11 Default"

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 16:45:54 -0400

gdm3 (41.3-1ubuntu3) jammy; urgency=medium

  [ Jeremy Szu ]
  * d/p/ubuntu/gdm.rules-Prefer-Wayland-with-NVIDIA-510.patch
      - default to Wayland for nvidia 510 drivers (LP: #1962523)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Mar 2022 13:20:58 +0100

gdm3 (41.3-1ubuntu2) jammy; urgency=medium

  * debian/gdm3.postinst:
    - restore chown call, Debian reworked how the permission was set but we
      have an Ubuntu hack there which was leading to the .config directory
      to be owned by the wrong user without the owner change. Should fix
      gdm not loading on the current daily ISO

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 09 Feb 2022 15:15:35 +0100

gdm3 (41.3-1ubuntu1) jammy; urgency=medium

  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 03 Feb 2022 13:59:59 -0500

gdm3 (41.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Explicitly pass "-listen tcp" to Xorg if configured with
      DisallowTCP=false (Closes: #785495). Please note that this
      configuration continues to be insecure if you have any untrusted
      devices on your LAN, including games consoles, smart lightbulbs
      and other embedded devices.
    - libgdm: Handle GDM_SUPPORTED_SESSION_TYPES being unset
    - Keep wayland enabled for simple-framebuffer DRM drivers
    - Restart greeter session if it crashes
    - Translation updates
    - Various other fixes that were already included as patches in Debian
  * Drop patches that were taken from upstream
  * Generically depend on any logind implementation on Linux
    (Closes: #991880)
  * Change uid to Debian-gdm for all accesses to /var/lib/gdm3, which is
    safer than manipulating a non-root-owned directory as root
    - d/generate-config: Create /var/lib/gdm3 if needed, but subsequently
      don't change anything as root
    - d/generate-config: Run `dconf compile` as Debian-gdm
    - d/generate-config: Run pkill as Debian-gdm too, while we're there
    - d/gdm3.postinst: Don't create /var/lib/gdm3, it will be created on
      a just-in-time basis by d/generate-config
    - d/gdm3.postinst: Don't change ownership of /var/lib/gdm3
    - d/gdm3.dirs: Don't ship root-owned directories which will become
      owned by Debian-gdm on running systems
  * Update spelling of Lintian overrides
  * Silence Lintian false positive for
    package-supports-alternative-init-but-no-init.d-script.
    /etc/init.d/gdm3 is the LSB equivalent of both gdm3.service and
    gdm.service.
  * d/gdm3.dirs: Drop unnecessary directories

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Jan 2022 18:28:14 +0000

gdm3 (41.0-3ubuntu2) jammy; urgency=medium

  * debian/patches/git_select_session.patch:
    - backport an upstream fix for gdm sometime starting the wrong
      session type and not respecting the user selection (lp: #1952457)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Dec 2021 17:06:05 +0100

gdm3 (41.0-3ubuntu1) jammy; urgency=medium

  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 19 Nov 2021 04:24:35 +0100

gdm3 (41.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: Depend on specific dbus components.
    We need the well-known system bus (any implementation, typically either
    dbus or dbus-broker), plus dbus-daemon/dbus-run-session (for the greeter).
    Additionally, /etc/init.d/gdm3 needs dbus-send from dbus-bin, although
    the systemd unit doesn't necessarily need that.
  * d/rules: Stop using obsolete check-accelerated-dir option.
    Meson 0.60.0 makes unknown options an error. (Closes: #997935)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 10:11:51 +0100

gdm3 (41.0-2) unstable; urgency=medium

  * Team upload
  * Trim trailing whitespace in d/changelog
  * Update standards version to 4.6.0 (no changes needed)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
    This is the default in current toolchains.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Oct 2021 23:01:42 +0100

gdm3 (41.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Allow Wayland user sessions for single-GPU-vendor NVIDIA machines
      if the v470 NVIDIA proprietary driver is in use (LP: #1942911)
  * d/p/gdm.rules-Keep-wayland-enabled-in-all-nvidia-configuratio.patch:
    Also allow Wayland user sessions for hybrid (Optimus) NVIDIA systems
  * d/p/local-display-factory-Don-t-try-to-respawn-displays-on-sh.patch,
    d/p/xdmcp-display-factory-Set-supported-session-types-for-XDM.patch,
    d/p/daemon-Infer-session-type-from-desktop-file-if-user-has-n.patch,
    d/p/local-display-factory-Don-t-crash-if-Xorg-and-Wayland-are.patch,
    d/p/meson-Fix-detection-of-Xorg-versions-that-need-listen-tcp.patch:
    Various post-release fixes from upstream
  * Drop default.desktop session.
    Its name is deeply misleading when it hasn't been GDM's default for
    several years, and GDM/GNOME is increasingly moving towards Wayland
    rather than X11. It also seems undesirable to present users with an
    option that will always need to have a vague, generic name, because we
    cannot predict what specific session or window manager it will launch.
    Instead, provide an example file with a more appropriate name,
    /usr/share/doc/gdm3/examples/custom-x11-session.desktop, which
    users of ~/.xsession can either install as-is, or use as a basis for
    their own custom session types as documented in gnome-user-docs.
  * Xsession: quote more defensively

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Oct 2021 19:52:43 +0100

gdm3 (41~rc-0ubuntu1) impish; urgency=medium

  * New upstream release:
    - Support systems that boot before the graphics subsystem fully loads
    - Fingerprint auth fixes
    - Allow user session to be Wayland even when login screen is Xorg
    - Allow wayland user sessions for single GPU vendor nvidia machines
      (LP: #1942911)
  * debian/patches: Drop wait for drm device tool
    This was due to bug lp:1794280, but it's now handled by upstream
  * debian/control: Drop build dependency on libgudev-1-0-dev
    It was needed by the tool to wait drm devices
  * debian/gbp.conf: Update upstream-vcs-tag format to work with pre-releases
  * debian/patches: Refresh
  * Merge with debian, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - stop installing default.desktop. it adds unnecessary clutter
        ("system default") to the session chooser.
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * debian/patches: Keep wayland enabled in all valid nvidia configurations.
    Ensure nvidia drivers are at the expected version for wayland being
    enabled.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Sep 2021 16:57:41 +0200

gdm3 (40.1-2) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: Update upstream-vcs-tag format to work with
    pre-releases

  [ Simon McVittie ]
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 21:46:25 +0100

gdm3 (40.1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Drop compatibility symlinks now that bullseye is released
  * debian/watch: Update the watch file to follow the new version scheme
  * debian/control.in: Suggest orca instead of gnome-orca.
    The latter is a transitonal package.

  [ Simon McVittie ]
  * Add Recommends on gnome-session | x-session-manager.
    gdm3 already Depends on gnome-session | x-session-manager |
    x-window-manager | x-terminal-emulator, but not all packages that
    provide x-window-manager are usable as desktop environments (in
    particular, the example window manager in the mutter package does not
    have a built-in way to launch programs). Adding a Recommends here
    provides a stronger hint that nearly all gdm3 users are going to want
    an implementation of x-session-manager, preferably GNOME's.
    (Closes: #986046)
  * d/watch: Don't use @PACKAGE@.
    For historical reasons, the Debian package is gdm3 rather than gdm.
  * New upstream release
    - Includes changes from Marco Trevisan that were previously committed
      as patches (LP: #1935818)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Sep 2021 10:42:00 +0100

gdm3 (3.38.2.1-3ubuntu3) impish; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Drop compatibility symlinks now that bullseye is released
  * debian/watch: Update the watch file to follow the new version scheme
  * debian/control.in: Suggest orca instead of gnome-orca, the later is a transitonal package

  [ Marco Trevisan (Treviño) ]
  * debian/patches:
    - Refresh
    - Correctly handle session opening errors (LP: #1935818)
    - Emit specific error on session opened failure

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 10 Jul 2021 18:28:45 +0200

gdm3 (3.38.2.1-3ubuntu2) impish; urgency=medium

  * Merge with debian
  * debian/gdm3.gdm-smartcard-*: Keep using user_readenv=1 in pam_env.so
  * Remaining changes with debian:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - build depend on libgudev-1.0-dev
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - stop installing default.desktop. it adds unnecessary clutter
        ("system default") to the session chooser.
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 18:14:18 +0100

gdm3 (3.38.2.1-3) experimental; urgency=medium

  * debian/changelog: Remove bad entry meant to be in ubuntu side only
    It's not needed in debian
  * debian/patches: Correctly return from idle callback
  * debian/gdm3.gdm-smartcard-*:
    - Do not set user_readenv=1 in pam_env.so (keep it for ubuntu only).
    - Ignore invalid user errors on pam_succeed_if.so.
      We may call the gdm-smartcard module without an user, leaving the module
      to figure it out depending on the smartcard certificate.
      So we need to ignore PAM_USER_UNKNOWN errors on pam_suceed_if.so.
      While pam_sss.so already checks for the user being non root internally,
      it's always better to ensure early this in all the cases.
      In the pkcs11 case instead we need to check it again after the module
      has returned. (LP: #1917362)
    - Check for /var/run/nologin (and friends) only when an user is defined
      pam_nologin.so requires a PAM_USER to be defined in order to check if
      the request has been done by root, possibly stopping the login otherwise.
      And in case none was provided, it will trigger the fallback pam prompt.
      However, with smartcard authentication we may initiate the PAM session
      without an user defined and leave to the smartcard service to try to
      figure it out depending on the token that has been inserted, that may
      have an user associated with it.
      So, ensure that we load all the PAM modules that require an user after
      the smartcard one, that in case will set one for us.
      Only after that, we can fail in case /var/run/nologin is present
      (LP: #1917362)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 17:55:12 +0200

gdm3 (3.38.2.1-2ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing new upstream version
  * debian/control: Don't Recommend pam fprintd module, as we seed it
  * debian/patches: Refresh
  * debian/gdm3.prerm: Resync with debian
  * debian/gdm3.gdm-smartcard-*: Add user_readenv=1 in pam_env.so
  * Remaining changes with debian:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - build depend on libgudev-1.0-dev
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - stop installing default.desktop. it adds unnecessary clutter
        ("system default") to the session chooser.
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 19:42:42 +0000

gdm3 (3.38.2.1-2) experimental; urgency=medium

  * debian: Add gdm-smartcard PAM module implemented with libpam_sss.
    The implementation uses update-alternatives to provide a generic
    gdm-smartcard PAM module that can be changed using the tool.
    Potentially other systems could be used or supported (such as pam_pkcs11
    or pam_p11) by adding other modules implementing the gdm-smartcard auth
    service. (LP: #1865226, Closes: #953557)
  * debian: Add gdm-smartcard implementation using pkcs11
  * debian/gdm3.gdm-smartcard-sssd-exclusive.pam:
    - PAM config to use exclusive (no fallback is supported) smartcard
      authentication via libpam_sss
  * debian/gdm3.gdm-smartcard-sssd-or-password.pam:
    - PAM config to optionally use smartcard authentication via libpam_sss,
      on failure it fallbacks to password authentication
  * debian/gdm3.gdm-smartcard-pkcs11-exclusive.pam:
    - PAM config to use exclusive (no fallback is supported) smartcard
      authentication via libpam_pkcs11
  * debian/control:
    - Suggests libam-sss and libam-pkcs11
  * debian/gdm3.alternatives:
    - Add gdm-smartcard alternatives to be used as /etc/pam.d/gdm-smartcard
  * debian/patches: Cherry-pick upstream fixes, including better auth error
    handling (LP: #1865838)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 16:40:24 +0100

gdm3 (3.38.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Add a Homepage field (Closes: #976768)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 18 Dec 2020 19:35:23 +0100

gdm3 (3.38.2-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
    - Fix location of locale directory
    - display: Exit with failure if loading existing users fails
      (GHSL-2020-202, CVE-2020-16125)
  * Xsession: Use run-parts --list instead of reimplementing it.
    Taken from x11-common.

  [ Dmitry Borodaenko ]
  * Implement has_option in Xsession.
    Now that x11-common moved this function from 20x11-common_process-args
    to Xsession (see #920778), gdm's version of Xsession also has to
    implement it. (Closes: #972108)

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Nov 2020 17:41:42 +0000

gdm3 (3.38.1-2ubuntu1.1) groovy-security; urgency=medium

  * SECURITY UPDATE: gnome-initial-setup launch issue
    - debian/patches/CVE-2020-16125.patch: fail if accountsservice could
      not be contacted in daemon/gdm-display.c.
    - CVE-2020-16125

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Oct 2020 10:53:12 -0400

gdm3 (3.38.1-2ubuntu1) groovy; urgency=medium

  * Merging with debian, containing a new upstream release, remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - build depend on libgudev-1.0-dev
      - depend on bash for config_error_dialog.patch
      - update vcs field
      - recomends libpam-fprintd (instead of suggests)
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: make pam_env read ~/.pam_environment
    + gdm3.install:
      - stop installing default.desktop. it adds unnecessary clutter
        ("system default") to the session chooser.
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 14 Oct 2020 15:28:44 +0100

gdm3 (3.38.1-2) unstable; urgency=medium

  * debian/gdm3.preinst: Add script to replace possibly wrong .conf file.
    In gdm3 versions of the 3.38 series a regression was introduced causing
    the /usr/libexec/gdm-disable-wayland tool to write its supposedly
    temporary gdm file to the persistent location.
    This is particularly harmful for users of the NVIDIA drivers as they
    will get their default config file (/etc/gdm3/daemon.conf in debian and
    /etc/gdm3/custom.conf in Ubuntu) modified for good, making impossible to
    login in a Wayland session (once nvidia driver is disabled).
    As per this, in case of upgrades or install with configuration files
    left, we replace the gdm's daemon.conf/custom.conf file in case it
    matches the one that the disable-wayland tool would produce.
    https://discourse.gnome.org/t/gdm-3-38-0-has-bad-bug-for-nvidia-users/4517
    (LP: #1899673)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 14 Oct 2020 01:29:48 +0200

gdm3 (3.38.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix bug leading to users /etc/gdm/custom.conf getting overwritten on
      nvidia systems (LP: #1899673).
    - Fix typo in comment
    - Translation updates
  * debian/rules: Don't override the runtime-conf path anymore.
    Upstream fixed the root issue for changing this, so the default runtime
    configuration file will be correctly written in the runtime path again.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 13 Oct 2020 19:51:14 +0200

gdm3 (3.38.0-2) unstable; urgency=medium

  * Team upload
  * d/rules: Set runtime configuration path.
    In Autotools, the default runtime configuration path used to be
    ${GDM_RUN_DIR}/custom.conf, but in the Meson build system the fallback
    changed to be the same as the custom.conf path in /etc (set to
    /etc/gdm3/daemon.conf in Debian for historical reasons).
    Explicitly set it to the path we used before switching to Meson, so
    that configuration changes by gdm-disable-wayland are temporary as
    intended, and do not persist to a subsequent boot.
  * Revert "debian/watch: Monitor unstable versions"
  * d/upstream/metadata: Add
  * Merge packaging from unstable
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Sep 2020 16:52:06 +0100

gdm3 (3.38.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, containing new upstream release:
    - Crasher fix
    - build goo updates
    - systemd unit file improvements
    - Translation updates
  * debian/patches: Refreshed (removing applied one)
  * Remaining changes with debian:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Build depend on libgudev-1.0-dev
      - Depend on bash for config_error_dialog.patch
      - Update Vcs field
      - Recomends libpam-fprintd (instead of Suggests)
    + rules:
      - Don't override default user/group
      - -Dgdm-xsession=true to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + Add run_xsession.d.patch
    + Add xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + Add config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + Add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - Don't blacklist nvidia for wayland
    + Add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - Wait for the first valid gdm device on pre-start
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: Don't set Debian settings in the
      greeter's dconf DB

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Sep 2020 11:01:05 +0200

gdm3 (3.38.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Remove patches that were applied upstream (in some cases differently)
  * Remove special case for s390x.
    gjs and gnome-shell now exist there, so we no longer need to avoid
    depending on them. In particular this makes the GNOME metapackages
    installable on that architecture again. (Closes: #970245)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Sep 2020 18:03:34 +0100

gdm3 (3.37.90-2) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Add patch to remove deprecated StandardOutput=syslog from systemd unit
  * Build-Depend on systemd, for /usr/share/pkgconfig/systemd.pc

  [ Iain Lane ]
  * debian/control: Bump depends on gnome-{session,settings-daemon,shell}
    We require the newly rearranged systemd units that are in these
    versions.
  * debian/control: Make gdm depend on gnome-session-common ≥ 3.37.0-2~
    This is where the systemd units live now.

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Sep 2020 00:51:41 +0100

gdm3 (3.37.90-1ubuntu1) groovy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian, containing new upstream release
  * debian/patches: Refresh
  * d/p/nvidia_prime.patch,
    d/p/config_error_dialog.patch,
    d/p/gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
    - Update to use meson as build system
  * d/p/meson-Fix-Xsession-input-file-name.patch:
    - Rename input file from the wrong XSession to Xsession
  * d/p/ubuntu/XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
    - Use x-terminal-emulator as the fallback terminal instead of xterm,
      so that the user configured (very likely gnome-terminal) is used
  * Remaining changes with debian:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Build depend on libgudev-1.0-dev
      - Depend on bash for config_error_dialog.patch
      - Update Vcs field
      - Recomends libpam-fprintd (instead of Suggests)
    + rules:
      - Don't override default user/group
      - -Dgdm-xsession=true to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + Add run_xsession.d.patch
    + Add xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + Add config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + Add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - Don't blacklist nvidia for wayland
    + Add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - Wait for the first valid gdm device on pre-start
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: Don't set Debian settings in the
      greeter's dconf DB
  * debian/patches: Fix patch not to patch debian/patches/series

  [ Simon McVittie ]
  * Add patch to remove deprecated StandardOutput=syslog from systemd unit
  * Build-Depend on systemd, for /usr/share/pkgconfig/systemd.pc.
    This should fix FTBFS on the buildds.

  [ Iain Lane ]
  * debian/control: Bump depends on gnome-{session,settings-daemon,shell}
    We require the newly rearranged systemd units that are in these
    versions.
  * debian/control: Make gdm depend on gnome-session-common ≥ 3.37.0-2~
    This is where the systemd units live now.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 02 Sep 2020 17:56:50 +0100

gdm3 (3.37.90-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Updates to systemd integration
    - Support killling X on login even when wayland support is disabled
    - Fix multi-seat support (LP: #1891815)
    - Don't keep login screen running in background on Xorg
    - Fixes for when GDM isn't started on its configured initial VT
    - Don't hardcode path to plymouth
    - Enable wayland on cirrus
    - Chrome remote desktop fix
    - Always use separate session bus for greeter sessions
      This runs dbus-run-session, so the binary needs to be available
  * debian/rules:
    - Build with meson
    - Use --fail-missing if not in library-only mode
    - Expose to meson only X bin path
  * debian/control:
    - Depend on debhelper-compat = 13
    - Cleanup the Build-Depends: Remove dependencies that are not required
      explicitly by gdm
  * debian/libgdm1.symbols: Remove various (private) symbols.
    - They were wrongly exported as there's no trace of them in the
      public API.
  * debian/patches: Refresh as per meson port
  * d/p/16_xserver_path.patch:
    - Make meson read the X bin path from environment
  * d/p/meson-Fix-keyutils-pkg-config-name.patch,
    d/p/meson-Obey-at-Dcustom-conf-option-when-installing-custom..patch,
    d/p/meson-Use-correct-rules-path-when-getting-udevdir-from-pk.patch:
    - Fix some meson issues causing diffs with autotools
  * d/p/meson-Don-t-look-for-non-existent-journald-dependency.patch,
    d/p/meson_options-Enable-systemd-journal-by-default.patch:
    - Make gdm log again to the journal by default
  * debian/gdm3.install: Update install paths.
    Install everything under usr/share/gdm
  * debian/*.install: Use dh 13 ${DEB_HOST_MULTIARCH} instead of wildcards

  [ Simon McVittie ]
  * d/p/local-display-factory-always-force-login-screen-to-VT-1.patch:
    - Drop, applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Aug 2020 22:37:09 +0200

gdm3 (3.36.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/p/local-display-factory-always-force-login-screen-to-VT-1.patch:
      Drop, applied upstream
    - This version is functionally equivalent to 3.36.2-1
  * Remove special case for s390x.
    gjs and gnome-shell now exist there, so we no longer need to avoid
    depending on them. In particular this makes the GNOME metapackages
    installable on that architecture again. (Closes: #970245)
  * d/gbp.conf: Switch branch for uploads to unstable.
    3.37.x is already in experimental.
  * d/watch: Only watch for 3.36.x versions

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Sep 2020 18:05:02 +0100

gdm3 (3.36.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Use a separate D-Bus session bus for each greeter
      + Add Depends on dbus, for dbus-run-session
    - Don't disable Wayland on Cirrus hardware (or more likely, emulated
      Cirrus hardware in qemu). A 5.2+ kernel is recommended.
    - Check for keyutils using pkg-config
    - Fixes for when GDM isn't started on its configured initial VT
    - Don't hard-code /bin/plymouth
    - Translation updates
  * d/watch: Only watch for even-numbered (stable) releases
  * d/p/local-display-factory-always-force-login-screen-to-VT-1.patch:
    Add post-release fix from upstream gnome-3-36 branch to fix a fast
    user switching regression in 3.36.2, by forcing the greeter to appear
    on tty1
  * Update symbols file.
    This ignores a change to private symbols:
    gdm_find_display_session_for_uid isn't declared in a public header,
    and nothing in Debian seems to call it.

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Jun 2020 10:55:01 +0100

gdm3 (3.34.1-3) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/greeter.dconf-defaults: Use 64px instead of 128px logo.
    Until gnome-shell 3.36.1, the logo was scaled down to be 48px tall.
    Since 3.36.1, it's shown at actual size, and 128px looks silly.
    desktop-base doesn't currently have a 48px version, but 64px is close
    enough. (Closes: #955759)

  [ Alexander Kurtz ]
  * debian/generate-config: Re-compile the dconf database unconditionally.
    Previously we tried to determine whether running `dconf compile` was
    really necessary by comparing the timestamps of the input and output
    files in a make-like fashion, but this was unnecessarily complicated,
    since both the CPU and IO load are negligible.

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Apr 2020 17:16:30 +0100

gdm3 (3.34.1-2) unstable; urgency=medium

  [ Alexander Kurtz ]
  * debian/gdm3.postinst: Remove obsolete cleanup code now that buster has
    been released.

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Move the daemons to libexec now that's allowed in the policy
  * Move everything from /var/run to /run as the former is a link to the later
    for quite some time
  * debian/gdm3.postinst: Remove obsolete cleanup code for gdm-welcome PAM
    service, this dates from 2012

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Mar 2020 10:50:21 +0100

gdm3 (3.34.1-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for config_error_dialog.patch
      - Update Vcs field
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + Add run_xsession.d.patch
    + Add xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + Add config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + Add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - Don't blacklist nvidia for wayland
    + Add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - Wait for the first valid gdm device on pre-start
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: Don't set Debian settings in the
      greeter's dconf DB

 -- Iain Lane <iain.lane@canonical.com>  Mon, 07 Oct 2019 17:23:07 +0100

gdm3 (3.34.1-1) unstable; urgency=medium

  * New upstream release
    - De-duplicate sessions on pure Xorg too
    - Fix fast user switching by assuming the login screen VT is always the
      initial one

 -- Iain Lane <laney@debian.org>  Mon, 07 Oct 2019 16:25:24 +0100

gdm3 (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 17:34:26 +0200

gdm3 (3.34.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for config_error_dialog.patch
      - Update Vcs field
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + Add run_xsession.d.patch
    + Add xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + Add config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + Add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - Don't blacklist nvidia for wayland
    + Add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - Wait for the first valid gdm device on pre-start
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: Don't set Debian settings in the
      greeter's dconf DB

 -- Iain Lane <iain.lane@canonical.com>  Wed, 11 Sep 2019 17:45:31 +0100

gdm3 (3.34.0-1) experimental; urgency=medium

  * New upstream translation release

 -- Iain Lane <laney@debian.org>  Wed, 11 Sep 2019 17:29:53 +0100

gdm3 (3.33.92-2ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for config_error_dialog.patch
      - Update Vcs field
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + Add run_xsession.d.patch
    + Add xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + Add config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + Add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - Don't blacklist nvidia for wayland
    + Add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - Wait for the first valid gdm device on pre-start
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: Don't set Debian settings in the
      greeter's dconf DB

 -- Iain Lane <iain.lane@canonical.com>  Fri, 06 Sep 2019 16:47:17 +0100

gdm3 (3.33.92-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Merge packaging changes from unstable (Closes: #935699)

  [ Laurent Bigonville ]
  * Add extra explanation to the GDM PAM service about what pam_selinux is
    actually doing

 -- Iain Lane <laney@debian.org>  Fri, 06 Sep 2019 16:44:21 +0100

gdm3 (3.33.92-1) experimental; urgency=medium

  * New upstream release
    - Fix typo in debug message
    - Revert vt changing fix, because it exposes logind bug and it wasn't
      quite right anyway
    - Ensure login screen gets reaped when user switching

 -- Iain Lane <laney@debian.org>  Fri, 06 Sep 2019 13:41:32 +0100

gdm3 (3.33.90-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for config_error_dialog.patch
      - Update Vcs field
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + Add run_xsession.d.patch
    + Add xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + Add config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + Add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - Don't blacklist nvidia for wayland
    + Add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - Wait for the first valid gdm device on pre-start
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: Don't set Debian settings in the
      greeter's dconf DB
  * Should fix Wayland to Xorg fallback on slow machines (LP: #1798790)

 -- Iain Lane <laney@debian.org>  Thu, 15 Aug 2019 18:06:24 +0100

gdm3 (3.30.2-5) unstable; urgency=medium

  * Team upload
  * Don't try to manipulate files in debian/gdm3/ when building for
    s390x, fixing FTBFS

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Aug 2019 18:11:08 +0100

gdm3 (3.30.2-4) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Use debian/unstable, upstream/3.30.x branches
  * Skip building the gdm3 binary package on s390x.
    GDM requires GNOME Shell, which provides its GUI, but GNOME Shell
    is unavailable on s390x.
    Our previous attempt to avoid building an uninstallable gdm3 package
    on s390x involved a spurious build-dependency on gjs, but mozjs60 and
    gjs now work well enough on s390x to pass most of their own tests.
    However, GNOME Shell still fails tests on s390x, and in any case is
    not appropriate for mainframe-class machines that do not normally have
    a GPU or a local display.
    Continuing to build libgdm binaries for s390x, as opposed to forcing the
    entire source package to FTBFS on s390x, means we can continue to build
    gnome-panel without special hacks, allowing s390x users to install the
    GNOME 2-based GNOME Flashback environment if they particularly want a
    GNOME-based desktop on their mainframes. (Closes: #935699)
  * d/control.in: Add versioned Recommends on desktop-base (>= 10.0.0)
    In a previous version this was added to d/control, but d/control is
    regenerated from d/control.in during clean.
  * Remove spurious gjs build-dependency.
    This is less help than we had anticipated in making gdm3 unavailable on
    architectures where gnome-shell is unavailable, because gjs mostly works
    on s390x but gnome-shell does not. It is also desirable to build libgdm
    on even the architectures that do not have a working gdm, so that they
    can use gnome-panel and hence gnome-flashback.

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Aug 2019 11:08:50 +0100

gdm3 (3.33.90-1) experimental; urgency=medium

  * New upstream release
    - Update for changes to gnome-settings-daemon
    - initial-setup permissions fix
    - allow users to set PATH from ~/.config/environmet
    - support systemd user sessions
    - leak fix in libgdm
    - vt changing fix
  * gdm3.install: Stop installing pixmaps/icons which have been dropped
  * debian/libgdm1.symbols: Add new symbols

 -- Iain Lane <laney@debian.org>  Thu, 15 Aug 2019 15:07:42 +0100

gdm3 (3.33.4-1) experimental; urgency=medium

  * New upstream release
    - Fix session search directories
    - Kill user sessions when stopping gdm
    - Add way for sessions to register when they successfully started (LP:
      #1798790)
  * libgdm-Remove-duplicate-sessions-once-after-all-sessions-.patch: Drop,
    upstream
  * debian/libgdm1.symbols: Update

 -- Iain Lane <iain.lane@canonical.com>  Fri, 02 Aug 2019 13:56:49 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgdm1`.
